from pepperbot import PepperBot
from pepperbot.store.meta import BotRoute

from apps.wuhu_takeoff import WuHuTakeoff


bot = PepperBot(port=5800)
bot.register_adapter(
    bot_protocol="onebot",
    receive_protocol="websocket",
    backend_protocol="http",
    backend_host="127.0.0.1",
    backend_port=5700,
)

bot.apply_routes(
    [
        BotRoute(
            groups="*",
            friends=None,
            handlers=[WuHuTakeoff],
        ),
    ]
)
